// Object.h

#if !defined (_Object_h_)
#define _Object_h_

// SYSTEM INCLUDES
//

#include <typeinfo>
#include <list>

class String;


class Object
{
public:
	virtual ~Object();
	String ClassName();
	Object();
	static const char *__GetThisClassName();
	static std::list<Object *> m_AllObjects;
	static int onexit();
};


#endif // _Object_h_
